/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Microscopy Illuminator Type
 */
public enum EnumCV_MicroscopyIlluminatorType {

	//Microscopy Illuminator Type - CID 8125
	TUNGSTEN_HALOGEN_LAMP_A_00125("A-00125"),
	MERCURY_ARC_LAMP_A_00127("A-00127"),
	XENON_ARC_LAMP_A_00124("A-00124"),
	LIGHT_EMITTING_DIODE_A_00126("A-00126"),
	LASER_A_23000("A-23000");

	private String value;

	EnumCV_MicroscopyIlluminatorType(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
